Page MenuHomePhabricator

Consolidate "load commit from name" code
Closed, ResolvedPublic

Description

Releeph introduces more partial-commit-identifier loading code, in ReleephCommitFinder. We should consolidate all the copies of this code:

  • One copy in ConduitAPI_diffusion_getcommits_Method.
  • One copy in DiffusionCommitQuery.
  • Part of one copy in PhabricatorAuditCommitQuery.
  • One copy in PhabricatorPHID::fromObjectName().
  • A new copy in ReleephCommitFinder.

Of these, DiffusionCommitQuery is the most modern (includes policy awareness and handles all the nasty edge cases).

Event Timeline

epriestley triaged this task as Normal priority.Mar 9 2013, 9:21 AM
epriestley added projects: Diffusion, Audit, Releeph.
epriestley added subscribers: epriestley, edward.
epriestley edited this Maniphest Task.Mar 9 2013, 9:21 AM
epriestley edited this Maniphest Task.Jul 21 2013, 6:31 PM
edward removed a subscriber: edward.Jul 22 2013, 12:27 PM
epriestley edited this Maniphest Task.Jul 22 2013, 7:20 PM
epriestley added a subscriber: Unknown Object (MLST).Sep 3 2013, 11:15 PM
epriestley edited this Maniphest Task.Oct 30 2013, 3:21 PM
epriestley edited this Maniphest Task.Oct 30 2013, 8:07 PM
epriestley edited this Maniphest Task.Oct 31 2013, 2:04 AM
epriestley edited this Maniphest Task.Apr 13 2014, 12:35 AM
epriestley edited this Maniphest Task.
chad changed the visibility from "All Users" to "Public (No Login Required)".Jul 3 2015, 3:58 AM
eadler added a subscriber: eadler.Jul 9 2015, 4:10 AM
epriestley closed this task as Resolved.Jan 10 2017, 4:56 PM
epriestley claimed this task.
  • DiffusionCommitQuery has had the "good" version for a while.
  • We're nuking Releeph at some point.